Bug 239386 - [exp-run] multimedia/gstreamer1: Update to 1.16.0
Summary: [exp-run] multimedia/gstreamer1: Update to 1.16.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koop Mast
URL: https://gstreamer.freedesktop.org/rel...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-22 20:53 UTC by kunda
Modified: 2020-01-26 18:26 UTC (History)
6 users (show)

See Also:
riggs: maintainer-feedback+
antoine: exp-run+


Attachments
patch files for gstreamer 1.16.0 (38.00 KB, patch)
2019-08-07 00:41 UTC, Vanilla I. Shu
no flags Details | Diff
GStreamer 1.16.2 update (240.62 KB, patch)
2019-12-15 22:40 UTC, Koop Mast
no flags Details | Diff
Fix the exp-run failures (267.92 KB, patch)
2019-12-26 13:52 UTC, Koop Mast
no flags Details | Diff
patch #4: fix orc patching (266.78 KB, patch)
2019-12-28 22:26 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Vanilla I. Shu freebsd_committer 2019-08-07 00:41:58 UTC
Created attachment 206314 [details]
patch files for gstreamer 1.16.0

Hi:

I have a patch for gstreamer 1.16.0,

Could someone help me to review?

thanks.
Comment 2 Tobias C. Berner freebsd_committer 2019-08-07 19:12:27 UTC
Moin moin

This is already being worked on by gnome@: 
https://github.com/freebsd/freebsd-ports-gnome/tree/gstreamer-1.16

Can you check the differences between the two wips?


Kind regards, 
Tobias
Comment 3 Thomas Zander freebsd_committer 2019-09-06 09:05:53 UTC
Setting this to "in progress" as gnome@ is already working on the integration.
Comment 4 Koop Mast freebsd_committer 2019-12-15 22:40:39 UTC
Created attachment 209984 [details]
GStreamer 1.16.2 update
Comment 5 Koop Mast freebsd_committer 2019-12-15 22:43:25 UTC
My testing didn't show any problems, but please run a exp-run to check all users.
Comment 7 Koop Mast freebsd_committer 2019-12-26 13:52:14 UTC
Created attachment 210235 [details]
Fix the exp-run failures
Comment 8 Koop Mast freebsd_committer 2019-12-26 13:53:55 UTC
Greg can you review the net-im/fractal update to 4.2.2?
Comment 9 Greg V 2019-12-26 18:56:27 UTC
(In reply to Koop Mast from comment #8)

Looks good
Comment 11 Koop Mast freebsd_committer 2019-12-28 22:26:02 UTC
Created attachment 210294 [details]
patch #4: fix orc patching
Comment 12 Antoine Brodin freebsd_committer 2019-12-30 19:47:43 UTC
Exp-run looks fine
Comment 13 commit-hook freebsd_committer 2020-01-26 17:43:14 UTC
A commit references this bug:

Author: kwm
Date: Sun Jan 26 17:42:46 UTC 2020
New revision: 524224
URL: https://svnweb.freebsd.org/changeset/ports/524224

Log:
  Update gstreamer1 to 1.16.2.

  - The spc plugin was removed inflavor for the gsm plugin.
  - Added in tree qt plugin.

  Changelog: https://gstreamer.freedesktop.org/releases/1.16/#1.16.2

  Update net-im/fractal to 4.2.2 to support GStreamer 1.16 (approved by maintainer)

  Thanks to antoine@ for the exp-run.

  PR:		239386

Changes:
  head/MOVED
  head/Mk/bsd.gstreamer.mk
  head/UPDATING
  head/audio/Makefile
  head/audio/gstreamer1-plugins-pulse/Makefile
  head/audio/gstreamer1-plugins-spc/
  head/audio/gstreamer1-plugins-webrtcdsp/Makefile
  head/devel/orc/Makefile
  head/devel/orc/distinfo
  head/devel/orc/files/patch-orc-orccpu_powerpc.c
  head/devel/orc/files/patch-orc-orcprogram-c.c
  head/devel/orc/pkg-plist
  head/graphics/Makefile
  head/graphics/gstreamer1-plugins-gl/Makefile
  head/graphics/gstreamer1-plugins-gl/files/
  head/graphics/gstreamer1-plugins-gl/pkg-plist
  head/graphics/gstreamer1-plugins-opencv/Makefile
  head/graphics/gstreamer1-plugins-openexr/Makefile
  head/graphics/gstreamer1-plugins-qt/
  head/graphics/gstreamer1-plugins-qt/Makefile
  head/graphics/gstreamer1-plugins-vulkan/Makefile
  head/multimedia/gstreamer-ffmpeg/files/patch-ext_libpostproc_gstpostproc.c
  head/multimedia/gstreamer-ffmpeg/files/patch-ext_libswscale_gstffmpegscale.c
  head/multimedia/gstreamer1/Makefile
  head/multimedia/gstreamer1/distinfo
  head/multimedia/gstreamer1/pkg-plist
  head/multimedia/gstreamer1-editing-services/Makefile
  head/multimedia/gstreamer1-editing-services/distinfo
  head/multimedia/gstreamer1-editing-services/pkg-plist
  head/multimedia/gstreamer1-libav/Makefile
  head/multimedia/gstreamer1-libav/distinfo
  head/multimedia/gstreamer1-libav/files/
  head/multimedia/gstreamer1-libav/pkg-plist
  head/multimedia/gstreamer1-plugins/Makefile
  head/multimedia/gstreamer1-plugins/Makefile.common
  head/multimedia/gstreamer1-plugins/distinfo
  head/multimedia/gstreamer1-plugins/files/patch-configure
  head/multimedia/gstreamer1-plugins/pkg-plist
  head/multimedia/gstreamer1-plugins-all/Makefile
  head/multimedia/gstreamer1-plugins-bad/files/
  head/multimedia/gstreamer1-plugins-bad/pkg-plist
  head/multimedia/gstreamer1-plugins-core/Makefile
  head/multimedia/gstreamer1-plugins-dvdread/Makefile
  head/multimedia/gstreamer1-plugins-good/files/patch-configure
  head/multimedia/gstreamer1-plugins-good/files/patch-ext_vpx_gstvpxdec.c
  head/multimedia/gstreamer1-plugins-good/files/patch-gst_flv_gstflvmux.h
  head/multimedia/gstreamer1-plugins-good/pkg-plist
  head/multimedia/gstreamer1-plugins-hls/Makefile
  head/multimedia/gstreamer1-plugins-openh264/Makefile
  head/multimedia/gstreamer1-plugins-resindvd/Makefile
  head/multimedia/gstreamer1-plugins-ugly/pkg-plist
  head/multimedia/gstreamer1-plugins-v4l2/Makefile
  head/multimedia/gstreamer1-plugins-v4l2/files/
  head/multimedia/gstreamer1-plugins-vpx/Makefile
  head/multimedia/gstreamer1-plugins-x264/Makefile
  head/multimedia/gstreamer1-plugins-x265/Makefile
  head/multimedia/gstreamer1-qt/Makefile
  head/multimedia/gstreamer1-qt/files/patch-src_QGst_caps.cpp
  head/multimedia/gstreamer1-rtsp-server/Makefile
  head/multimedia/gstreamer1-rtsp-server/distinfo
  head/multimedia/gstreamer1-rtsp-server/pkg-plist
  head/multimedia/gstreamer1-transcoder/Makefile
  head/multimedia/gstreamer1-transcoder/distinfo
  head/multimedia/gstreamer1-vaapi/Makefile
  head/multimedia/gstreamer1-vaapi/distinfo
  head/multimedia/gstreamer1-validate/Makefile
  head/multimedia/gstreamer1-validate/distinfo
  head/multimedia/gstreamer1-validate/pkg-plist
  head/multimedia/py-gstreamer1/Makefile
  head/multimedia/py-gstreamer1/distinfo
  head/net-im/fractal/Makefile
  head/net-im/fractal/distinfo
  head/net-im/fractal/files/patch-non-x86
  head/net-im/fractal/files/patch-vendor_openssl-sys_build_cfgs.rs
  head/net-im/fractal/files/patch-vendor_openssl-sys_build_main.rs
  head/net-im/fractal/files/patch-vendor_openssl-sys_src_crypto.rs
  head/net-im/fractal/files/patch-vendor_openssl-sys_src_ssl.rs
  head/net-im/fractal/files/patch-vendor_openssl_build.rs
  head/net-im/fractal/files/patch-vendor_openssl_src_ssl_mod.rs
  head/net-im/fractal/files/patch-vendor_openssl_src_version.rs
  head/net-im/fractal/pkg-plist
  head/sysutils/gstreamer1-plugins-cdio/Makefile